Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.common
Class T3ClientReconnectedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--weblogic.common.T3Exception
                              |
                              +--weblogic.common.T3ClientReconnectedException

public class T3ClientReconnectedException
extends T3Exception

A T3ClientReconnectedException is thrown when a T3ClientTenacious attempts to send but fails and then reconnects. A client throwing this exception blocks until connected. A retry is attempted every 10 seconds.

Author:
  Copyright (c) 1997-98 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`T3ClientReconnectedException(java.lang.String s)` Constructs a T3ClientReconnectedException with the specified string

Methods inherited from class weblogic.common.T3Exception
`getNested, getNestedException, printStackTrace, printStackTrace, setNestedException, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### T3ClientReconnectedException

    public T3ClientReconnectedException(java.lang.String s)

  Constructs a T3ClientReconnectedException with the specified string

  Parameters:
    `s` - String message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD